# API-Template
In Golang


33first commands:
* go mod init goGateway
* go mod tidy

download terraform and install, then clone and use terraform modules

https://levelup.gitconnected.com/microservices-with-go-grpc-api-gateway-and-authentication-part-1-2-393ad9fc9d30
https://github.com/hellokvn/go-grpc-product-svc



**** push to gcp:
1. create dockerfile and image
2. push to google using: 
3. build on google using: **gcloud builds submit --tag gcr.io/bold-syntax-354201/gogateway**
4. now run terraform init
5. terraform plan -out='C:\Users\Tiago\GolandProjects\API template\goGateway\terra_out'
6. terraform apply